@echo off

cd st\db
echo Enabling CM-Radar since running with st-cm.bat
copy /Y params.cmradar.txt params.txt
cd ..

if exist debug (
 rd /S/Q debug
)

echo Copying everything to C:\st-cmradar\ since the properties files require this. If you don't want this to happen terminate this script by pressing CTRL+C.
xcopy /E/I/Q/H/R/Y ..\..\st-cmradar c:\st-cmradar

cd c:\st-cmradar

if exist debug\st-gui-log.txt (
 del /Q debug\st-gui-log.txt
)

echo Starting Radar Core Light
java -mx512M -jar radar-core-light.jar radar.properties

echo CMRadar temp directory, c:\st-cmradar, will now be deleted, press CTRL+C to cancel 
pause
rd /S/Q c:\st-cmradar
echo Deleted the st-cmradar folder since it was created just for this session.
